---
lang: en
title: 'API docs: context.resolutionsession.pushbinding'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.resolutionsession.pushbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionSession](./context.resolutionsession.md) &gt; [pushBinding](./context.resolutionsession.pushbinding.md)

## ResolutionSession.pushBinding() method

Enter the resolution of the given binding. If

<b>Signature:</b>

```typescript
pushBinding(binding: Readonly<Binding>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  binding | <code>Readonly&lt;Binding&gt;</code> | Binding |

<b>Returns:</b>

`void`


